Python Api on 2.1.1

  • 2 Replies
  • 159 Views
Python Api on 2.1.1
« on: June 14, 2021, 04:18:51 PM »
Hi,

The source code of 2.1.1 does not seem to include Python anymore. Would the older SF Python Server still work even though it does not have the "connect to server" option?

If the Python API is deprecated, what would be the best way for me to extract Scopefun measurements and integrated them into a Python software? Just to give a background, I have this software that interfaces / synchronizes data acquisition with other instruments.

Thank you.

Best regards,
Jeremy

Re: Python Api on 2.1.1
« Reply #1 on: August 11, 2021, 01:10:45 AM »
I have tried many times since I first bought the device over a year ago to try to get the Python API to work.   I keep tinkering, but have made no progress.    They wrote the Python API in Python 2.7, which was a pain in itself.     I was going to buy quite a few of these just because of the Python API, but fortunately changed my mind when I couldn't get it to work.    They still show the Python API on Crowd Supply, but it was orphaned very early.   It appears from their GIthub page that they abandoned Python and moved to Lua.     

If you do ever find a way to use Python with this device, I'd be very interested to know.   

*

Dejan

  • *****
  • 111
    • View Profile
Re: Python Api on 2.1.1
« Reply #2 on: September 13, 2021, 06:57:16 AM »
Hi all,

we are working to enable the Python API functionality also in the new software version.